
    /* styles are what change the color and sizes of stuff on your site. */

    /* these are variables that are being used in the code
    these tended to confuse some people, so I only kept 
    the images as variables */

:root {
    --header-image: url('/img/bg-header.webp');
    --body-bg-image: url('/img/fondo.webp');

    /* customs */
    --content: #06020c;
    --scrollbar-size: 10px;
    --scrollbar-track: #000000;
    --scrollbar-thumb: #640808;
    --scrollbar-thumb-hover: #640808;
}

/* if you have the URL of a font, you can set it below */
/* feel free to delete this if it's not your vibe */

/* this seems like a lot for just one font and I would have to agree 
    but I wanted to include an example of how to include a custom font.
    If you download a font file you can upload it onto your Neocities
    and then link it! Many fonts have separate files for each style
    (bold, italic, etc. T_T) which is why there are so many!
    
*/


body {
    font-family: 'Nunito', sans-serif;
    margin: 0;
    background-color: #181115;
    /* you can delete the line below if you'd prefer to not use an image */
    color: #fceaff;
    background-image: var(--body-bg-image);
}

* {
    box-sizing: border-box;
    scrollbar-width: thin;
    scrollbar-color: var(--scrollbar-thumb) var(--scrollbar-track);
}

::-webkit-scrollbar {
  width: var(--scrollbar-size);
  height: var(--scrollbar-size);
}

::-webkit-scrollbar-track {
  background: var(--scrollbar-track);
}

::-webkit-scrollbar-thumb {
  background: var(--scrollbar-thumb);
  border-radius: 999px;
  border: 2px solid var(--scrollbar-track);
}

::-webkit-scrollbar-thumb:hover {
  background: var(--scrollbar-thumb-hover);
}

/* below this line is CSS for the layout */


/* the "container" is what wraps your entire website */
/* if you want something (like the header) to be Wider than
    the other elements, you will need to move that div outside
    of the container */
    
#container {
    max-width: 900px;
    /* this is the width of your layout! */
    /* if you change the above value, scroll to the bottom
    and change the media query according to the comment! */
    margin: 0 auto;
    
    /* this centers the entire page */
}

/* the area below is for all links on your page
    EXCEPT for the navigation */

#container a {
    color: #811c1c;
    font-weight: bold;
    text-decoration: none;
    /* if you want to remove the underline
    you can add a line below here that says:
    text-decoration:none; */
}

#container a:hover {
    color: #5a1414;
    text-decoration: underline;
}

#header {
    width: 100%;
    background-color: #000000;;
    /* header color here! */
    height: 150px;
    /* this is only for a background image! */
    /* if you want to put images IN the header, 
      you can add them directly to the <div id="header"></div> element! */
    background-image: var(--header-image);
    background-size: 100%;
    justify-content: center
}

/* navigation section!! */
#navbar {
    height: 40px;
    background-color: #0a090a;
    border:2px solid #0d0c0f;
    /* navbar color */
    width: 100%;
}

#navbar ul {
    display: flex;
    padding: 0;
    margin: 0;
    list-style-type: none;
    justify-content: space-evenly;
}

#navbar li {
    padding-top: 10px;
}

/* navigation links*/
#navbar li a {
    color: #811c1c;
    /* navbar text color */
    font-weight: 800;
    text-decoration: none;
    /* this removes the underline */
}

 /* navigation link when a link is hovered over */
#navbar li a:hover {
    color: #5a1414;
    text-decoration: underline;
}

#flex {
    display: flex;
}


/* this is the color of the main content area,
    between the sidebars! */
main {
    background-color: #141314;
    flex: 1;
    padding: 20px;
    order: 2;
    border-top: 3.5px double #640808;
    border-left: 3.5px double #640808;
    border-right: 3.5px double rgb(236, 100, 152);
    border-bottom: 3.5px double rgb(236, 100, 152);
}

#leftSidebar {
    order: 1;
}

#rightSidebar {
    order: 3;
}

p {
    font-family: "Kurale";
    text-align: justify;
}

h1,
h2,
h3,
h4 {
    color: #ffffff;
    font-family:'Gabriela';
    text-align: center;
}

h1 {
    font-size: 25px;
}
hr {
    border: 0;
    height: 0;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
}

hr.sp {
    overflow: visible; 
    height: 30px;
    border-style: solid;
    border-color: #640808;
    border-width: 1px 0 0 0;
    border-radius: 20px;
}

hr.sp::before{
    display: block;
    content: "";
    height: 30px;
    margin-top: -31px;
    border-style: solid;
    border-color: #640808;
    border-width: 0 0 1px 0;
    border-radius: 20px;
}


#topBar {
    width: 100%;
    height: 30px;
    padding: 10px;
    font-size: smaller;
    background-color: #13092D;
}

.link {
    position: relative;
    transition: clip-path 275ms ease;
}
.link:hover span::before, .link:focus span::before {
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
}
.link span {
    position: relative;
    display: inline-block;
}
.link span::before {
    position: absolute;
    content: attr(data-content);
    text-decoration: underline;
    clip-path: polygon(0 0, 0 0, 0% 100%, 0 100%);
    transition: clip-path 175ms ease;
}
span.dynamic::before {
    text-decoration-style: double;
}



@media only screen and (max-width: 800px) {
    #flex {
        flex-wrap: wrap;
    }

    aside {
        width: 100%;
    }

    /* the order of the items is adjusted here for responsiveness!
      since the sidebars would be too small on a mobile device.
      feel free to play around with the order!
    */
    main {
        order: 1;
    }

    #leftSidebar {
        order: 2;
    }

    #rightSidebar {
        order: 3;
    }

    #navbar ul {
        flex-wrap: wrap;
    }
}